<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "kontrak_koordinfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$kontrak_koord_delete = NULL; // Initialize page object first

class ckontrak_koord_delete extends ckontrak_koord {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'kontrak_koord';

	// Page object name
	var $PageObjName = 'kontrak_koord_delete';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (kontrak_koord)
		if (!isset($GLOBALS["kontrak_koord"]) || get_class($GLOBALS["kontrak_koord"]) == "ckontrak_koord") {
			$GLOBALS["kontrak_koord"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["kontrak_koord"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'kontrak_koord', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("kontrak_koordlist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 

		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->kk_id->SetVisibility();
		if ($this->IsAdd() || $this->IsCopy() || $this->IsGridAdd())
			$this->kk_id->Visible = FALSE;
		$this->kk_no_kontrak->SetVisibility();
		$this->koord_id->SetVisibility();
		$this->kk_tgl_mulai->SetVisibility();
		$this->kk_tgl_akhir->SetVisibility();
		$this->kk_periode->SetVisibility();
		$this->var_id->SetVisibility();
		$this->kk_harga->SetVisibility();
		$this->kk_luas->SetVisibility();
		$this->kk_dok->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $kontrak_koord;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($kontrak_koord);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			ew_SaveDebugMsg();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("kontrak_koordlist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in kontrak_koord class, kontrak_koordinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} elseif (@$_GET["a_delete"] == "1") {
			$this->CurrentAction = "D"; // Delete record directly
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("kontrak_koordlist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->ListSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->kk_id->setDbValue($row['kk_id']);
		$this->kk_no_kontrak->setDbValue($row['kk_no_kontrak']);
		$this->koord_id->setDbValue($row['koord_id']);
		$this->kk_tgl_mulai->setDbValue($row['kk_tgl_mulai']);
		$this->kk_tgl_akhir->setDbValue($row['kk_tgl_akhir']);
		$this->kk_periode->setDbValue($row['kk_periode']);
		$this->var_id->setDbValue($row['var_id']);
		$this->kk_harga->setDbValue($row['kk_harga']);
		$this->kk_luas->setDbValue($row['kk_luas']);
		$this->kk_dok->Upload->DbValue = $row['kk_dok'];
		$this->kk_dok->setDbValue($this->kk_dok->Upload->DbValue);
	}

	// Return a row with default values
	function NewRow() {
		$row = array();
		$row['kk_id'] = NULL;
		$row['kk_no_kontrak'] = NULL;
		$row['koord_id'] = NULL;
		$row['kk_tgl_mulai'] = NULL;
		$row['kk_tgl_akhir'] = NULL;
		$row['kk_periode'] = NULL;
		$row['var_id'] = NULL;
		$row['kk_harga'] = NULL;
		$row['kk_luas'] = NULL;
		$row['kk_dok'] = NULL;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->kk_id->DbValue = $row['kk_id'];
		$this->kk_no_kontrak->DbValue = $row['kk_no_kontrak'];
		$this->koord_id->DbValue = $row['koord_id'];
		$this->kk_tgl_mulai->DbValue = $row['kk_tgl_mulai'];
		$this->kk_tgl_akhir->DbValue = $row['kk_tgl_akhir'];
		$this->kk_periode->DbValue = $row['kk_periode'];
		$this->var_id->DbValue = $row['var_id'];
		$this->kk_harga->DbValue = $row['kk_harga'];
		$this->kk_luas->DbValue = $row['kk_luas'];
		$this->kk_dok->Upload->DbValue = $row['kk_dok'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// kk_id
		// kk_no_kontrak
		// koord_id
		// kk_tgl_mulai
		// kk_tgl_akhir
		// kk_periode
		// var_id
		// kk_harga
		// kk_luas
		// kk_dok

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// kk_id
		$this->kk_id->ViewValue = $this->kk_id->CurrentValue;
		$this->kk_id->ViewCustomAttributes = "";

		// kk_no_kontrak
		$this->kk_no_kontrak->ViewValue = $this->kk_no_kontrak->CurrentValue;
		$this->kk_no_kontrak->ViewCustomAttributes = "";

		// koord_id
		if (strval($this->koord_id->CurrentValue) <> "") {
			$sFilterWrk = "`koord_id`" . ew_SearchString("=", $this->koord_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `koord_id`, `koord_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `koord`";
		$sWhereWrk = "";
		$this->koord_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->koord_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `koord_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->koord_id->ViewValue = $this->koord_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->koord_id->ViewValue = $this->koord_id->CurrentValue;
			}
		} else {
			$this->koord_id->ViewValue = NULL;
		}
		$this->koord_id->ViewCustomAttributes = "";

		// kk_tgl_mulai
		$this->kk_tgl_mulai->ViewValue = $this->kk_tgl_mulai->CurrentValue;
		$this->kk_tgl_mulai->ViewValue = ew_FormatDateTime($this->kk_tgl_mulai->ViewValue, 5);
		$this->kk_tgl_mulai->ViewCustomAttributes = "";

		// kk_tgl_akhir
		$this->kk_tgl_akhir->ViewValue = $this->kk_tgl_akhir->CurrentValue;
		$this->kk_tgl_akhir->ViewValue = ew_FormatDateTime($this->kk_tgl_akhir->ViewValue, 5);
		$this->kk_tgl_akhir->ViewCustomAttributes = "";

		// kk_periode
		$this->kk_periode->ViewValue = $this->kk_periode->CurrentValue;
		$this->kk_periode->ViewCustomAttributes = "";

		// var_id
		if (strval($this->var_id->CurrentValue) <> "") {
			$sFilterWrk = "`var_id`" . ew_SearchString("=", $this->var_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `var_id`, `var_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `varietas`";
		$sWhereWrk = "";
		$this->var_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->var_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->var_id->ViewValue = $this->var_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->var_id->ViewValue = $this->var_id->CurrentValue;
			}
		} else {
			$this->var_id->ViewValue = NULL;
		}
		$this->var_id->ViewCustomAttributes = "";

		// kk_harga
		$this->kk_harga->ViewValue = $this->kk_harga->CurrentValue;
		$this->kk_harga->ViewCustomAttributes = "";

		// kk_luas
		$this->kk_luas->ViewValue = $this->kk_luas->CurrentValue;
		$this->kk_luas->ViewCustomAttributes = "";

		// kk_dok
		$this->kk_dok->UploadPath = "dokumen_kontrak_koordinator";
		if (!ew_Empty($this->kk_dok->Upload->DbValue)) {
			$this->kk_dok->ImageWidth = 42;
			$this->kk_dok->ImageHeight = 70;
			$this->kk_dok->ImageAlt = $this->kk_dok->FldAlt();
			$this->kk_dok->ViewValue = $this->kk_dok->Upload->DbValue;
		} else {
			$this->kk_dok->ViewValue = "";
		}
		$this->kk_dok->ViewCustomAttributes = "";

			// kk_id
			$this->kk_id->LinkCustomAttributes = "";
			$this->kk_id->HrefValue = "";
			$this->kk_id->TooltipValue = "";

			// kk_no_kontrak
			$this->kk_no_kontrak->LinkCustomAttributes = "";
			$this->kk_no_kontrak->HrefValue = "";
			$this->kk_no_kontrak->TooltipValue = "";

			// koord_id
			$this->koord_id->LinkCustomAttributes = "";
			if (!ew_Empty($this->koord_id->CurrentValue)) {
				$this->koord_id->HrefValue = "koordview.php?showdetail=&koord_id=" . $this->koord_id->CurrentValue; // Add prefix/suffix
				$this->koord_id->LinkAttrs["target"] = "_blank"; // Add target
				if ($this->Export <> "") $this->koord_id->HrefValue = ew_FullUrl($this->koord_id->HrefValue, "href");
			} else {
				$this->koord_id->HrefValue = "";
			}
			$this->koord_id->TooltipValue = "";

			// kk_tgl_mulai
			$this->kk_tgl_mulai->LinkCustomAttributes = "";
			$this->kk_tgl_mulai->HrefValue = "";
			$this->kk_tgl_mulai->TooltipValue = "";

			// kk_tgl_akhir
			$this->kk_tgl_akhir->LinkCustomAttributes = "";
			$this->kk_tgl_akhir->HrefValue = "";
			$this->kk_tgl_akhir->TooltipValue = "";

			// kk_periode
			$this->kk_periode->LinkCustomAttributes = "";
			$this->kk_periode->HrefValue = "";
			$this->kk_periode->TooltipValue = "";

			// var_id
			$this->var_id->LinkCustomAttributes = "";
			$this->var_id->HrefValue = "";
			$this->var_id->TooltipValue = "";

			// kk_harga
			$this->kk_harga->LinkCustomAttributes = "";
			$this->kk_harga->HrefValue = "";
			$this->kk_harga->TooltipValue = "";

			// kk_luas
			$this->kk_luas->LinkCustomAttributes = "";
			$this->kk_luas->HrefValue = "";
			$this->kk_luas->TooltipValue = "";

			// kk_dok
			$this->kk_dok->LinkCustomAttributes = "";
			$this->kk_dok->UploadPath = "dokumen_kontrak_koordinator";
			if (!ew_Empty($this->kk_dok->Upload->DbValue)) {
				$this->kk_dok->HrefValue = ew_GetFileUploadUrl($this->kk_dok, $this->kk_dok->Upload->DbValue); // Add prefix/suffix
				$this->kk_dok->LinkAttrs["target"] = "_blank"; // Add target
				if ($this->Export <> "") $this->kk_dok->HrefValue = ew_FullUrl($this->kk_dok->HrefValue, "href");
			} else {
				$this->kk_dok->HrefValue = "";
			}
			$this->kk_dok->HrefValue2 = $this->kk_dok->UploadPath . $this->kk_dok->Upload->DbValue;
			$this->kk_dok->TooltipValue = "";
			if ($this->kk_dok->UseColorbox) {
				if (ew_Empty($this->kk_dok->TooltipValue))
					$this->kk_dok->LinkAttrs["title"] = $Language->Phrase("ViewImageGallery");
				$this->kk_dok->LinkAttrs["data-rel"] = "kontrak_koord_x_kk_dok";
				ew_AppendClass($this->kk_dok->LinkAttrs["class"], "ewLightbox");
			}
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['kk_id'];

				// Delete old files
				$this->LoadDbValues($row);
				$this->kk_dok->OldUploadPath = "dokumen_kontrak_koordinator";
				$OldFiles = ew_Empty($row['kk_dok']) ? array() : array($row['kk_dok']);
				$OldFileCount = count($OldFiles);
				for ($i = 0; $i < $OldFileCount; $i++) {
					if (file_exists($this->kk_dok->OldPhysicalUploadPath() . $OldFiles[$i]))
						@unlink($this->kk_dok->OldPhysicalUploadPath() . $OldFiles[$i]);
				}
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		}
		if (!$DeleteRows) {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("kontrak_koordlist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($kontrak_koord_delete)) $kontrak_koord_delete = new ckontrak_koord_delete();

// Page init
$kontrak_koord_delete->Page_Init();

// Page main
$kontrak_koord_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kontrak_koord_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fkontrak_koorddelete = new ew_Form("fkontrak_koorddelete", "delete");

// Form_CustomValidate event
fkontrak_koorddelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
fkontrak_koorddelete.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
fkontrak_koorddelete.Lists["x_koord_id"] = {"LinkField":"x_koord_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_koord_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"koord"};
fkontrak_koorddelete.Lists["x_koord_id"].Data = "<?php echo $kontrak_koord_delete->koord_id->LookupFilterQuery(FALSE, "delete") ?>";
fkontrak_koorddelete.Lists["x_var_id"] = {"LinkField":"x_var_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_var_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"varietas"};
fkontrak_koorddelete.Lists["x_var_id"].Data = "<?php echo $kontrak_koord_delete->var_id->LookupFilterQuery(FALSE, "delete") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $kontrak_koord_delete->ShowPageHeader(); ?>
<?php
$kontrak_koord_delete->ShowMessage();
?>
<form name="fkontrak_koorddelete" id="fkontrak_koorddelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($kontrak_koord_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $kontrak_koord_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kontrak_koord">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($kontrak_koord_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="box ewBox ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { ?>table-responsive <?php } ?>ewGridMiddlePanel">
<table class="table ewTable">
	<thead>
	<tr class="ewTableHeader">
<?php if ($kontrak_koord->kk_id->Visible) { // kk_id ?>
		<th class="<?php echo $kontrak_koord->kk_id->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_id" class="kontrak_koord_kk_id"><?php echo $kontrak_koord->kk_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_no_kontrak->Visible) { // kk_no_kontrak ?>
		<th class="<?php echo $kontrak_koord->kk_no_kontrak->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_no_kontrak" class="kontrak_koord_kk_no_kontrak"><?php echo $kontrak_koord->kk_no_kontrak->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->koord_id->Visible) { // koord_id ?>
		<th class="<?php echo $kontrak_koord->koord_id->HeaderCellClass() ?>"><span id="elh_kontrak_koord_koord_id" class="kontrak_koord_koord_id"><?php echo $kontrak_koord->koord_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_tgl_mulai->Visible) { // kk_tgl_mulai ?>
		<th class="<?php echo $kontrak_koord->kk_tgl_mulai->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_tgl_mulai" class="kontrak_koord_kk_tgl_mulai"><?php echo $kontrak_koord->kk_tgl_mulai->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_tgl_akhir->Visible) { // kk_tgl_akhir ?>
		<th class="<?php echo $kontrak_koord->kk_tgl_akhir->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_tgl_akhir" class="kontrak_koord_kk_tgl_akhir"><?php echo $kontrak_koord->kk_tgl_akhir->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_periode->Visible) { // kk_periode ?>
		<th class="<?php echo $kontrak_koord->kk_periode->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_periode" class="kontrak_koord_kk_periode"><?php echo $kontrak_koord->kk_periode->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->var_id->Visible) { // var_id ?>
		<th class="<?php echo $kontrak_koord->var_id->HeaderCellClass() ?>"><span id="elh_kontrak_koord_var_id" class="kontrak_koord_var_id"><?php echo $kontrak_koord->var_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_harga->Visible) { // kk_harga ?>
		<th class="<?php echo $kontrak_koord->kk_harga->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_harga" class="kontrak_koord_kk_harga"><?php echo $kontrak_koord->kk_harga->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_luas->Visible) { // kk_luas ?>
		<th class="<?php echo $kontrak_koord->kk_luas->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_luas" class="kontrak_koord_kk_luas"><?php echo $kontrak_koord->kk_luas->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kontrak_koord->kk_dok->Visible) { // kk_dok ?>
		<th class="<?php echo $kontrak_koord->kk_dok->HeaderCellClass() ?>"><span id="elh_kontrak_koord_kk_dok" class="kontrak_koord_kk_dok"><?php echo $kontrak_koord->kk_dok->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$kontrak_koord_delete->RecCnt = 0;
$i = 0;
while (!$kontrak_koord_delete->Recordset->EOF) {
	$kontrak_koord_delete->RecCnt++;
	$kontrak_koord_delete->RowCnt++;

	// Set row properties
	$kontrak_koord->ResetAttrs();
	$kontrak_koord->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$kontrak_koord_delete->LoadRowValues($kontrak_koord_delete->Recordset);

	// Render row
	$kontrak_koord_delete->RenderRow();
?>
	<tr<?php echo $kontrak_koord->RowAttributes() ?>>
<?php if ($kontrak_koord->kk_id->Visible) { // kk_id ?>
		<td<?php echo $kontrak_koord->kk_id->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_id" class="kontrak_koord_kk_id">
<span<?php echo $kontrak_koord->kk_id->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_no_kontrak->Visible) { // kk_no_kontrak ?>
		<td<?php echo $kontrak_koord->kk_no_kontrak->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_no_kontrak" class="kontrak_koord_kk_no_kontrak">
<span<?php echo $kontrak_koord->kk_no_kontrak->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_no_kontrak->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->koord_id->Visible) { // koord_id ?>
		<td<?php echo $kontrak_koord->koord_id->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_koord_id" class="kontrak_koord_koord_id">
<span<?php echo $kontrak_koord->koord_id->ViewAttributes() ?>>
<?php if ((!ew_EmptyStr($kontrak_koord->koord_id->ListViewValue())) && $kontrak_koord->koord_id->LinkAttributes() <> "") { ?>
<a<?php echo $kontrak_koord->koord_id->LinkAttributes() ?>><?php echo $kontrak_koord->koord_id->ListViewValue() ?></a>
<?php } else { ?>
<?php echo $kontrak_koord->koord_id->ListViewValue() ?>
<?php } ?>
</span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_tgl_mulai->Visible) { // kk_tgl_mulai ?>
		<td<?php echo $kontrak_koord->kk_tgl_mulai->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_tgl_mulai" class="kontrak_koord_kk_tgl_mulai">
<span<?php echo $kontrak_koord->kk_tgl_mulai->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_tgl_mulai->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_tgl_akhir->Visible) { // kk_tgl_akhir ?>
		<td<?php echo $kontrak_koord->kk_tgl_akhir->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_tgl_akhir" class="kontrak_koord_kk_tgl_akhir">
<span<?php echo $kontrak_koord->kk_tgl_akhir->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_tgl_akhir->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_periode->Visible) { // kk_periode ?>
		<td<?php echo $kontrak_koord->kk_periode->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_periode" class="kontrak_koord_kk_periode">
<span<?php echo $kontrak_koord->kk_periode->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_periode->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->var_id->Visible) { // var_id ?>
		<td<?php echo $kontrak_koord->var_id->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_var_id" class="kontrak_koord_var_id">
<span<?php echo $kontrak_koord->var_id->ViewAttributes() ?>>
<?php echo $kontrak_koord->var_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_harga->Visible) { // kk_harga ?>
		<td<?php echo $kontrak_koord->kk_harga->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_harga" class="kontrak_koord_kk_harga">
<span<?php echo $kontrak_koord->kk_harga->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_harga->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_luas->Visible) { // kk_luas ?>
		<td<?php echo $kontrak_koord->kk_luas->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_luas" class="kontrak_koord_kk_luas">
<span<?php echo $kontrak_koord->kk_luas->ViewAttributes() ?>>
<?php echo $kontrak_koord->kk_luas->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kontrak_koord->kk_dok->Visible) { // kk_dok ?>
		<td<?php echo $kontrak_koord->kk_dok->CellAttributes() ?>>
<span id="el<?php echo $kontrak_koord_delete->RowCnt ?>_kontrak_koord_kk_dok" class="kontrak_koord_kk_dok">
<span>
<?php echo ew_GetFileViewTag($kontrak_koord->kk_dok, $kontrak_koord->kk_dok->ListViewValue()) ?>
</span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$kontrak_koord_delete->Recordset->MoveNext();
}
$kontrak_koord_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $kontrak_koord_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fkontrak_koorddelete.Init();
</script>
<?php
$kontrak_koord_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$kontrak_koord_delete->Page_Terminate();
?>
